Upstream information

CVE-2018-10754 at MITRE

Description

** REJECT ** DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: none. Reason: This candidate was withdrawn by its CNA. Further investigation showed that it was not a security issue. Notes: none.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 3.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1131830 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/nginx-ingress-controller:beta1
  • libncurses5 >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Container suse/sles12sp3:24.84
  • libncurses5 >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Container suse/sles12sp4:26.102
  • libncurses5 >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Container suse/sles12sp5:5.2.257
Image SLES12-SP5-EC2-ECS-On-Demand
  • libncurses5 >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP4-EC2-HVM-BYOS
Image SLES12-SP4-GCE-BYOS
Image SLES12-SP4-OCI-BYOS
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-BYOS
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libncurses5 >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • terminfo >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
SUSE CaaS Platform 3.0
  • libncurses5 >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • terminfo >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Patchnames:
SUSE-CAASP-3.0-2019-3094
SUSE Linux Enterprise Desktop 12 SP4
  • libncurses5 >= 5.9-69.1
  • libncurses5-32bit >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • libncurses6-32bit >= 5.9-69.1
  • ncurses-devel >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • tack >= 5.9-69.1
  • terminfo >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-3094
SUSE-SLE-SDK-12-SP4-2019-3094
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libncurses5 >= 5.9-69.1
  • libncurses5-32bit >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • libncurses6-32bit >= 5.9-69.1
  • ncurses-devel >= 5.9-69.1
  • ncurses-devel-32bit >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • tack >= 5.9-69.1
  • terminfo >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3094
SUSE-SLE-SERVER-12-SP4-2019-3094
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libncurses5 >= 5.9-69.1
  • libncurses5-32bit >= 5.9-69.1
  • libncurses6 >= 5.9-69.1
  • libncurses6-32bit >= 5.9-69.1
  • ncurses-devel >= 5.9-69.1
  • ncurses-devel-32bit >= 5.9-69.1
  • ncurses-utils >= 5.9-69.1
  • tack >= 5.9-69.1
  • terminfo >= 5.9-69.1
  • terminfo-base >= 5.9-69.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-3094
SUSE-SLE-SERVER-12-SP5-2019-3094
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ncurses-devel >= 5.9-69.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3094
SUSE Linux Enterprise Software Development Kit 12 SP5
  • ncurses-devel >= 5.9-69.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-3094


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ncurses In progress
Magnum Orchestration ncurses In progress
SLES for SAP Applications ncurses Affected
SUSE CaaS Platform 3.0 ncurses Released
SUSE Container as a Service Platform 1.0 ncurses Affected
SUSE Container as a Service Platform 2.0 ncurses In progress
SUSE Linux Enterprise Desktop 11 SP4 ncurses Affected
SUSE Linux Enterprise Desktop 12 SP3 ncurses In progress
SUSE Linux Enterprise Desktop 12 SP4 ncurses Released
SUSE Linux Enterprise Desktop 15 ncurses Not affected
SUSE Linux Enterprise High Performance Computing 12 SP3 ncurses In progress
SUSE Linux Enterprise High Performance Computing 12 SP4 ncurses Released
SUSE Linux Enterprise High Performance Computing 12 SP5 ncurses Released
SUSE Linux Enterprise High Performance Computing 15 ncurses Not affected
SUSE Linux Enterprise Module for Basesystem 15 ncurses Not affected
SUSE Linux Enterprise Module for Development Tools 15 ncurses Not affected
SUSE Linux Enterprise Module for Legacy 15 ncurses Not affected
SUSE Linux Enterprise Point of Service 11 SP3 ncurses Released
SUSE Linux Enterprise Server 11 SP3 LTSS ncurses Affected
SUSE Linux Enterprise Server 11 SP4 ncurses Affected
SUSE Linux Enterprise Server 11 SP4 LTSS ncurses Released
SUSE Linux Enterprise Server 12 LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP2 BCL ncurses In progress
SUSE Linux Enterprise Server 12 SP2 LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP3 ncurses In progress
SUSE Linux Enterprise Server 12 SP3 BCL ncurses In progress
SUSE Linux Enterprise Server 12 SP3 ESPOS ncurses In progress
SUSE Linux Enterprise Server 12 SP3 LTSS ncurses In progress
SUSE Linux Enterprise Server 12 SP4 ncurses Released
SUSE Linux Enterprise Server 12 SP4 ESPOS ncurses In progress
SUSE Linux Enterprise Server 12 SP4 LTSS ncurses In progress
SUSE Linux Enterprise Server 12 SP5 ncurses Released
SUSE Linux Enterprise Server 15 ncurses Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ncurses Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ncurses In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ncurses Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ncurses Released
SUSE Linux Enterprise Server for SAP Applications 15 ncurses Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 ncurses Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 ncurses In progress
SUSE Linux Enterprise Software Development Kit 12 SP4 ncurses Released
SUSE Linux Enterprise Software Development Kit 12 SP5 ncurses Released
SUSE OpenStack Cloud 8 ncurses In progress
SUSE OpenStack Cloud 9 ncurses In progress
SUSE OpenStack Cloud Crowbar 8 ncurses In progress
SUSE OpenStack Cloud Crowbar 9 ncurses In progress